<?php 
/* ГЕНЕРАТОР ЕЛЬФИЙСКОГО БРЕДОТЕКСТА
Автор говнокода: orka13. Источники:
http://php.net/manual/ru/function.trim.php
http://php.net/manual/ru/function.lcfirst.php
http://php.net/manual/ru/control-structures.elseif.php
http://www.php.su/rand
https://ru.stackoverflow.com/questions/171558/Алгоритм-генерации-слов
http://seoadviser.ru/php1.php
*/
function generateSentence($lengthSentence = 9){
// генерим в цикле столько слов, сколько было указано в настройках (15, 25)
for ($c=0; $c < $lengthSentence; $c++) { 
$wordlen = rand(2, 15); // - генерим слова длиной в такой-то диапазон
// Перечисляем буквы алфавита для генерации (можете на кириллицу заменить):
$glas = array("a","e","i","y","o","u");
$soglas = array("b","c","d","f","g","h","j","k","l","m","n","p","q","r","s","t","v","x","w","z");
$newWord = "";
// в цикле собираем слово из чередования гласных и согласных:
$rand12 = rand(1, 2);
for ($i=0; $i <$wordlen/2 ; $i++) { 
  $ng = rand(0, count($glas) - 1);
  $nsg = rand(0, count($soglas) - 1);
// схема ниже позволяет чередовать букву начала слова (среди гласных и согласных):
  if ($rand12 > 1) {
    $newWord .= $glas[$ng].$soglas[$nsg];
    } else {
    $newWord .= $soglas[$nsg].$glas[$ng];
    }
  
}
// клеим полученное слово к предыдущему через пробел:
$newSentence = $newSentence . " " . $newWord;
}
// У финальное предложения обрезаем по краях лишние пробелы и приводим Первую букву в верхнему Регистру:
return ucfirst(trim($newSentence)); 
}
// заканчиваем PHP-код. Дальше пойдет HTML-верстка с вызовом результатов генерации из этого кода:
?>
<!DOCTYPE html>
<html>
<head>
<title><?php echo generateSentence(rand(3, 7)); ?></title>
<meta charset="UTF-8" />
</head>
<body>
<p><?php echo generateSentence(rand(15, 25)); ?>. <?php echo generateSentence(rand(15, 25)); ?>.</p>
<p><?php echo generateSentence(rand(15, 25)); ?>.</p>
<p><?php echo generateSentence(rand(15, 25)); ?>.</p>
<p><?php echo generateSentence(rand(15, 25)); ?>. <?php echo generateSentence(rand(15, 25)); ?>.</p>
</body>
</html>